<template>
  <div :style="dataValueStyle">
    {{ dataValue }}
  </div>
</template>

<script setup name="FormTitle">
import { computed } from 'vue';

const props = defineProps({
  value: {
    type: String,
    default: ''
  },
  record: {
    type: Object,
    default: {}
  }
});

// 内容值
const dataValue = computed(() => {
  return props.record?.itemLabelName;
});

const dataValueStyle = computed(() => {
  const { fontSize, fontColor, textAlign, fontWeight, lineHeight, lineColor } = props.record.formItemContent;
  let style = {
    fontSize: fontSize,
    color: fontColor,
    textAlign: textAlign,
    fontWeight: fontWeight,
    borderBottom: lineHeight + ' solid ' + lineColor,
    paddingBottom: '5px'
  };
  return style;
});
</script>

<style scoped lang="less">
</style>
